microsoft-foundry.rest.security.o-auth2-auth
Agent Conversations
Delete a voice agent conversation
DELETE
/agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id}
Deletes a conversation and all of its stored data — responses, items, and any audio (cascade). This is the customer's explicit data-deletion control for voice conversations.
Paramètres d’en-tête
Foundry-Features
enum
obligatoire
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
VoiceAgents=V1Preview
Paramètres de chemin d’accès
agent_name
string
obligatoire
The name of the agent.
conversation_id
string
obligatoire
The id of the conversation to delete.
Paramètres de la requête
api-version
string
obligatoire
The API version to use for this operation.
Réponses
There is no content to send for this request, but the headers may be useful.
Requête
DELETE /agents/{agent_name}/endpoint/protocols/voice/conversations/{conversation_id} HTTP/1.1
Response
Status: 204
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json